glibmm: Gio::DBus Namespace Reference

glibmm 2.59.1

Namespaces | Classes | Typedefs | Enumerations | Functions
Gio::DBus Namespace Reference

## Namespaces
| Address
| ErrorUtils

## Classes
class | ActionGroup
| ActionGroup - A D-Bus Gio::ActionGroup implementation. More...
class | AnnotationInfo
| Stores information about an annotation. More...
class | ArgInfo
| ArgInfo - Stores information about an argument for a method or a signal. More...
class | AuthObserver
| AuthObserver - An object used for authenticating connections. More...
class | Connection
| A D-Bus Connection. More...
class | Error
class | Interface
| Interface - Base type for D-Bus interfaces. More...
class | InterfaceInfo
| Stores information about a D-Bus interface. More...
class | InterfaceSkeleton
| Abstract base class for D-Bus interfaces on the service side. More...
class | InterfaceVTable
| This represents a virtual table for handling properties and method calls for a D-Bus interface. More...
class | MenuModel
| MenuModel - A D-Bus Gio::MenuModel implementation. More...
class | Message
| A type for representing D-Bus messages that can be sent or received on a Connection. More...
class | MethodInfo
| Stores information about a method on an D-Bus interface. More...
class | MethodInvocation
| An Object for handling remote calls. More...
class | NodeInfo
| NodeInfo - Stores information about nodes in a remote object hierarchy. More...
class | Object
| Object - Base type for D-Bus objects. More...
class | PropertyInfo
| Stores information about a property on a D-Bus interface. More...
class | Proxy
| A client-side proxy. More...
class | Server
| This is a helper for listening to and accepting D-Bus connections. More...
class | SignalInfo
| Stores information about a signal on a D-Bus interface. More...
class | SubtreeVTable
| This represents a virtual table for subtrees registered with Gio::DBus::Connection::register_subtree(). More...

## Typedefs
using | SlotBusAcquired = sigc::slot< void(const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring)>
| For example, void on_bus_acquired(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameAcquired = sigc::slot< void(const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring)>
| For example, void on_name_acquired(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameLost = sigc::slot< void(const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring)>
| For example, void on_name_lost(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameAppeared = sigc::slot< void(const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring, const Glib::ustring&)>
| For example, void on_name_appeared(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name, const Glib::ustring& name_owner);. More...
using | SlotNameVanished = sigc::slot< void(const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring)>
| For example, void on_name_vanished(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...

## Enumerations
enum | BusType { BusType::STARTER = -1, BusType::NONE, BusType::SYSTEM, BusType::SESSION }
| An enumeration for well-known message buses. More...
enum | CallFlags { CallFlags::NONE = 0x0, CallFlags::NO_AUTO_START = (1<<0), CallFlags::ALLOW_INTERACTIVE_AUTHORIZATION = (1<<1) }
| Flags used in g_dbus_connection_call() and similar APIs. More...
enum | ConnectionFlags { ConnectionFlags::NONE = 0x0, ConnectionFlags::AUTHENTICATION_CLIENT = (1<<0), ConnectionFlags::AUTHENTICATION_SERVER = (1<<1), ConnectionFlags::AUTHENTICATION_ALLOW_ANONYMOUS = (1<<2), ConnectionFlags::MESSAGE_BUS_CONNECTION = (1<<3), ConnectionFlags::DELAY_MESSAGE_PROCESSING = (1<<4) }
| Flags used when creating a new Gio::DBus::Connection. More...
enum | SendMessageFlags { SendMessageFlags::NONE = 0x0, SendMessageFlags::PRESERVE_SERIAL = (1<<0) }
| Flags used when sending DBusMessages on a Gio::DBus::Connection. More...
enum | SignalFlags { SignalFlags::NONE = 0x0, SignalFlags::NO_MATCH_RULE = (1<<0), SignalFlags::MATCH_ARG0_NAMESPACE = (1<<1), SignalFlags::MATCH_ARG0_PATH = (1<<2) }
| Flags used when subscribing to signals via g_dbus_connection_signal_subscribe(). More...
enum | SubtreeFlags { SubtreeFlags::NONE = 0x0, SubtreeFlags::DISPATCH_TO_UNENUMERATED_NODES = (1<<0) }
| Flags passed to g_dbus_connection_register_subtree(). More...
enum | PropertyInfoFlags { PropertyInfoFlags::NONE = 0x0, PropertyInfoFlags::READABLE = (1<<0), PropertyInfoFlags::WRITABLE = (1<<1) }
| Flags describing the access control of a D-Bus property. More...
enum | MessageType { MessageType::INVALID, MessageType::METHOD_CALL, MessageType::METHOD_RETURN, MessageType::ERROR, MessageType::SIGNAL }
| Message types used in Gio::DBus::Message. More...
enum | MessageFlags { MessageFlags::NONE = 0x0, MessageFlags::NO_REPLY_EXPECTED = (1<<0), MessageFlags::NO_AUTO_START = (1<<1), MessageFlags::ALLOW_INTERACTIVE_AUTHORIZATION = (1<<2) }
| Message flags used in Gio::DBus::Message. More...
enum | MessageHeaderField { MessageHeaderField::INVALID, MessageHeaderField::PATH, MessageHeaderField::INTERFACE, MessageHeaderField::MEMBER, MessageHeaderField::ERROR_NAME, MessageHeaderField::REPLY_SERIAL, MessageHeaderField::DESTINATION, MessageHeaderField::SENDER, MessageHeaderField::SIGNATURE, MessageHeaderField::NUM_UNIX_FDS }
| Header fields used in Gio::DBus::Message. More...
enum | CapabilityFlags { CapabilityFlags::NONE = 0x0, CapabilityFlags::UNIX_FD_PASSING = (1<<0) }
| Capabilities negotiated with the remote peer. More...
enum | BusNameOwnerFlags { BusNameOwnerFlags::NONE = 0x0, BusNameOwnerFlags::ALLOW_REPLACEMENT = (1<<0), BusNameOwnerFlags::REPLACE = (1<<1), BusNameOwnerFlags::DO_NOT_QUEUE = (1<<2) }
| Flags used in g_bus_own_name(). More...
enum | ProxyFlags { ProxyFlags::NONE = 0x0, ProxyFlags::DO_NOT_LOAD_PROPERTIES = (1<<0), ProxyFlags::DO_NOT_CONNECT_SIGNALS = (1<<1), ProxyFlags::DO_NOT_AUTO_START = (1<<2), ProxyFlags::GET_INVALIDATED_PROPERTIES = (1<<3), ProxyFlags::DO_NOT_AUTO_START_AT_CONSTRUCTION = (1<<4) }
| Flags used when constructing an instance of a Gio::DBus::Proxy derived class. More...
enum | BusNameWatcherFlags { BusNameWatcherFlags::NONE = 0x0, BusNameWatcherFlags::AUTO_START = (1<<0) }
| Flags used in g_bus_watch_name(). More...

## Functions
CallFlags | operator| (CallFlags lhs, CallFlags rhs)
CallFlags | operator& (CallFlags lhs, CallFlags rhs)
CallFlags | operator^ (CallFlags lhs, CallFlags rhs)
CallFlags | operator~ (CallFlags flags)
CallFlags& | operator|= (CallFlags& lhs, CallFlags rhs)
CallFlags& | operator&= (CallFlags& lhs, CallFlags rhs)
CallFlags& | operator^= (CallFlags& lhs, CallFlags rhs)
ConnectionFlags | operator| (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator& (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator^ (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator~ (ConnectionFlags flags)
ConnectionFlags& | operator|= (ConnectionFlags& lhs, ConnectionFlags rhs)
ConnectionFlags& | operator&= (ConnectionFlags& lhs, ConnectionFlags rhs)
ConnectionFlags& | operator^= (ConnectionFlags& lhs, ConnectionFlags rhs)
SendMessageFlags | operator| (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator& (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator^ (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator~ (SendMessageFlags flags)
SendMessageFlags& | operator|= (SendMessageFlags& lhs, SendMessageFlags rhs)
SendMessageFlags& | operator&= (SendMessageFlags& lhs, SendMessageFlags rhs)
SendMessageFlags& | operator^= (SendMessageFlags& lhs, SendMessageFlags rhs)
SignalFlags | operator| (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator& (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator^ (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator~ (SignalFlags flags)
SignalFlags& | operator|= (SignalFlags& lhs, SignalFlags rhs)
SignalFlags& | operator&= (SignalFlags& lhs, SignalFlags rhs)
SignalFlags& | operator^= (SignalFlags& lhs, SignalFlags rhs)
SubtreeFlags | operator| (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator& (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator^ (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator~ (SubtreeFlags flags)
SubtreeFlags& | operator|= (SubtreeFlags& lhs, SubtreeFlags rhs)
SubtreeFlags& | operator&= (SubtreeFlags& lhs, SubtreeFlags rhs)
SubtreeFlags& | operator^= (SubtreeFlags& lhs, SubtreeFlags rhs)
InterfaceSkeleton::Flags | operator| (InterfaceSkeleton::Flags lhs, InterfaceSkeleton::Flags rhs)
InterfaceSkeleton::Flags | operator& (InterfaceSkeleton::Flags lhs, InterfaceSkeleton::Flags rhs)
InterfaceSkeleton::Flags | operator^ (InterfaceSkeleton::Flags lhs, InterfaceSkeleton::Flags rhs)
InterfaceSkeleton::Flags | operator~ (InterfaceSkeleton::Flags flags)
InterfaceSkeleton::Flags& | operator|= (InterfaceSkeleton::Flags& lhs, InterfaceSkeleton::Flags rhs)
InterfaceSkeleton::Flags& | operator&= (InterfaceSkeleton::Flags& lhs, InterfaceSkeleton::Flags rhs)
InterfaceSkeleton::Flags& | operator^= (InterfaceSkeleton::Flags& lhs, InterfaceSkeleton::Flags rhs)
PropertyInfoFlags | operator| (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator& (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator^ (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator~ (PropertyInfoFlags flags)
PropertyInfoFlags& | operator|= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
PropertyInfoFlags& | operator&= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
PropertyInfoFlags& | operator^= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
MessageFlags | operator| (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator& (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator^ (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator~ (MessageFlags flags)
MessageFlags& | operator|= (MessageFlags& lhs, MessageFlags rhs)
MessageFlags& | operator&= (MessageFlags& lhs, MessageFlags rhs)
MessageFlags& | operator^= (MessageFlags& lhs, MessageFlags rhs)
CapabilityFlags | operator| (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator& (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator^ (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator~ (CapabilityFlags flags)
CapabilityFlags& | operator|= (CapabilityFlags& lhs, CapabilityFlags rhs)
CapabilityFlags& | operator&= (CapabilityFlags& lhs, CapabilityFlags rhs)
CapabilityFlags& | operator^= (CapabilityFlags& lhs, CapabilityFlags rhs)
BusNameOwnerFlags | operator| (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator& (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator^ (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator~ (BusNameOwnerFlags flags)
BusNameOwnerFlags& | operator|= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator&= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator^= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
guint | own_name (BusType bus_type, const Glib::ustring& name, const SlotBusAcquired& bus_acquired_slot=SlotBusAcquired(), const SlotNameAcquired& name_acquired_slot=SlotNameAcquired(), const SlotNameLost& name_lost_slot=SlotNameLost(), BusNameOwnerFlags flags=Gio::DBus::BusNameOwnerFlags::NONE)
| Starts acquiring name on the bus specified by bus_type and calls name_acquired_slot and name_lost_slot when the name is acquired respectively lost. More...
void | unown_name (guint owner_id)
| Stops owning a name. More...
ProxyFlags | operator| (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator& (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator^ (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator~ (ProxyFlags flags)
ProxyFlags& | operator|= (ProxyFlags& lhs, ProxyFlags rhs)
ProxyFlags& | operator&= (ProxyFlags& lhs, ProxyFlags rhs)
ProxyFlags& | operator^= (ProxyFlags& lhs, ProxyFlags rhs)
Server::Flags | operator| (Server::Flags lhs, Server::Flags rhs)
Server::Flags | operator& (Server::Flags lhs, Server::Flags rhs)
Server::Flags | operator^ (Server::Flags lhs, Server::Flags rhs)
Server::Flags | operator~ (Server::Flags flags)
Server::Flags& | operator|= (Server::Flags& lhs, Server::Flags rhs)
Server::Flags& | operator&= (Server::Flags& lhs, Server::Flags rhs)
Server::Flags& | operator^= (Server::Flags& lhs, Server::Flags rhs)
std::string | generate_guid ()
| Generate a D-Bus GUID that can be used with e.g. More...
bool | is_guid (const std::string&string)
| Checks if string is a D-Bus GUID. More...
bool | is_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus bus name (either unique or well-known). More...
bool | is_unique_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus unique bus name. More...
bool | is_member_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus member (e.g. More...
bool | is_interface_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus interface name. More...
BusNameWatcherFlags | operator| (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator& (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator^ (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator~ (BusNameWatcherFlags flags)
BusNameWatcherFlags& | operator|= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator&= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator^= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
guint | watch_name (BusType bus_type, const Glib::ustring& name, const SlotNameAppeared& name_appeared_slot=SlotNameAppeared(), const SlotNameVanished& name_vanished_slot=SlotNameVanished(), BusNameWatcherFlags flags=Gio::DBus::BusNameWatcherFlags::NONE)
| Starts watching name on the bus specified by bus_type and calls name_appeared_slot and name_vanished_slot when the name is known to have a owner respectively known to lose its owner. More...
guint | watch_name (const Glib::RefPtr< Connection >& connection, const Glib::ustring& name, const SlotNameAppeared& name_appeared_slot=SlotNameAppeared(), const SlotNameVanished& name_vanished_slot=SlotNameVanished(), BusNameWatcherFlags flags=Gio::DBus::BusNameWatcherFlags::NONE)
| A watch_name() function that takes a Connection instead of a BusType. More...
void | unwatch_name (guint watcher_id)
| Stops watching a name. More...

## Function Documentation

## ◆ unown_name()

void Gio::DBus::unown_name | ( | guint | owner_id | ) |

Stops owning a name.

Parameters

  owner_id | An identifier obtained from own_name().